Skip to main content
PUT
/
domains
/
{domain}
/
settings
Update domain settings
curl --request PUT \
  --url https://rdp.sh/api/v1/domains/{domain}/settings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_renew": true,
  "whois_privacy": true,
  "lock_status": true
}
'
{
  "status": true,
  "message": "<string>",
  "domain": {
    "id": 123,
    "domain_name": "<string>",
    "status": "<string>",
    "provider": "<string>",
    "auto_renew": true,
    "whois_privacy": true,
    "lock_status": true,
    "use_rdp_nameservers": true,
    "nameservers": [
      "<string>"
    ],
    "registration_date": "<string>",
    "expiry_date": "<string>",
    "days_until_expiry": 123,
    "is_expiring_soon": true,
    "dns_records_count": 123,
    "created_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

domain
integer
required

Domain ID

Body

application/json
auto_renew
boolean

Whether the domain should renew automatically before expiry.

whois_privacy
boolean

Toggle WHOIS privacy protection at the registrar.

lock_status
boolean

Toggle the registrar transfer lock for the domain.

Response

Domain settings updated successfully.

status
boolean
Example:

true

message
string
Example:

"Domain settings updated"

domain
object

Domain object.